commit: accb30f8344a823af76456bde0dc1904a831f93a
Author: Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 2 08:30:23 2016 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Wed Mar 2 08:34:57 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=accb30f8
net-misc/gns3-gui: bump to 1.4.4 and remove old
Package-Manager: portage-2.2.26
net-misc/gns3-gui/Manifest | 2 +-
.../{gns3-gui-1.4.1.ebuild => gns3-gui-1.4.4.ebuild} | 13 +++++++++----
2 files changed, 10 insertions(+), 5 deletions(-)
diff --git a/net-misc/gns3-gui/Manifest b/net-misc/gns3-gui/Manifest
index 09efff1..2750181 100644
--- a/net-misc/gns3-gui/Manifest
+++ b/net-misc/gns3-gui/Manifest
@@ -1 +1 @@
-DIST gns3-gui-1.4.1.tar.gz 5701562 SHA256
0ec52ecc015050c1ed59e8133b11c5548ce4f8a713d9665fbe6f0f799ccd86b8 SHA512
9173773544e72a016d1942c9b247608c7c04f640ef5890ab23aa7de7a7f0d10fa77ba39c7aeb4693a15fb59a0c45f84817734fa2c51e9760beb1cf465dd79a7e
WHIRLPOOL
9a2a94734a5126d90a0366e272a8a7e97d4804fe574f4114149cab24eb08c8d04d89c1dec7f60f0775588b7debbe7dbe22f876a00185fc6ac2976b5b764d3ac4
+DIST gns3-gui-1.4.4.tar.gz 5725385 SHA256
28ae4bb797e1a20bbb16eca3e58b37c80e93046f44393366780544cf090cf657 SHA512
e77977ea03f686fc5dd15416ed7f8e1262c8a3e1d5b6af598cf6ff938e75c8b65de1930aa75ad3d14f3d2f5c348ddba6c22ed1c5d91842538940c60aba0e985d
WHIRLPOOL
46a4480a94ffcfe31e68302f68e01d87c46da43bac2bd635bd2a8c7aa9c03af66416f6eec44b387f084268b5ccec1fbd38100593d89469c51fb111a72cfd7b16
diff --git a/net-misc/gns3-gui/gns3-gui-1.4.1.ebuild
b/net-misc/gns3-gui/gns3-gui-1.4.4.ebuild
similarity index 80%
rename from net-misc/gns3-gui/gns3-gui-1.4.1.ebuild
rename to net-misc/gns3-gui/gns3-gui-1.4.4.ebuild
index 04a6969..d827202 100644
--- a/net-misc/gns3-gui/gns3-gui-1.4.1.ebuild
+++ b/net-misc/gns3-gui/gns3-gui-1.4.4.ebuild
@@ -1,12 +1,12 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python{3_3,3_4} )
-inherit distutils-r1
+inherit distutils-r1 eutils
DESCRIPTION="Graphical Network Simulator"
HOMEPAGE="http://www.gns3.net/"
@@ -29,7 +29,7 @@ RDEPEND="
>=dev-python/requests-2.6.0[${PYTHON_USEDEP}]
>=dev-python/paramiko-1.15.1[${PYTHON_USEDEP}]
>=dev-python/psutil-3.0.0[${PYTHON_USEDEP}]
- >=net-misc/gns3-converter-1.2.3[${PYTHON_USEDEP}]
+ >=net-misc/gns3-converter-1.3.0[${PYTHON_USEDEP}]
=net-misc/gns3-server-$PV[${PYTHON_USEDEP}]
qt4? (
dev-qt/qtgui:4[accessibility]
@@ -44,6 +44,11 @@ RDEPEND="
"
DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+python_configure() {
+ # temporary fix until upstream releases 1.4.5 with proper setup.py
+ sed -i -e 's/gns3-net-converter/gns3-converter/' setup.py || die
+}
+
python_install_all() {
distutils-r1_python_install_all